from Common.Basic import *
from Po.Home.Signin import *


@ddt.ddt
class TestSigninSite(unittest.TestCase):
    @classmethod
    def setUpClass(cls) -> None:
        cls.driver = WebDriver()
        cls.page = PageSignin(cls.driver).open()

    @classmethod
    def tearDownClass(cls) -> None:
        cls.driver.quit()

    def tearDown(self) -> None:
        self.page.reload()

    def test_signin_screenshot(self):
        self.page.driver.screenshot_for_report()

    @ddt.data(*loadCsv('illegal_passwds.csv'))
    @ddt.unpack
    def test_signin_error_admin_pass(self, v1):
        pass
        self.page.input_user('admin')
        self.page.input_pass(v1)
        self.page.click_submit()
        # Please assert in here......


if __name__ == '__main__':
    unittest.main()
